import pygame, random, sys

pygame.init()
pygame.display.set_caption('飞翔的小鸟')
width, height = 720, 520
window = pygame.display.set_mode((width, height))

# 定义变量
bird = pygame.image.load("img/bird0_0.png")
bg = pygame.image.load("img/bg_day.png")    # 背景图片导入并缩放为窗口大小
bg = pygame.transform.smoothscale(bg,(width, height))
font36 = pygame.font.SysFont('Arial', 36)           # 字体对象
clock = pygame.time.Clock()       # 控制游戏速度
start = False            # 开始状态
vel = 7                  # 速度
ypos = 300               # bird y坐标
hscore = tscore = 0      # 最高分和当前分
msg = font36.render('Press SPACE to Start', True, (0,0,0))   # 屏幕上的文本

while True:
    window.blit(bg,(0,0))
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            sys.exit()
        # 按空格时开始游戏，或者重新初始化速度
        if event.type == pygame.KEYDOWN and event.key \
                == pygame.K_SPACE:
            if start == False:
                ypos, start = 300, True
            vel = 7
    if start:
        window.blit(bird,(50,ypos))
        ypos, vel = ypos - vel, vel - 0.5         # y坐标、速度的变化
        #window.blit(font36.render('Score: ' + str(tscore), True, (0,0,0)),(10,10)) #分数
    # else:
    #     window.blit(msg, (200,200))
    #     window.blit(font36.render('High score : ' + str(hscore), True, (0,0,0)),(200,300))
    clock.tick(60)
    pygame.display.flip()
